> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chatclean.com.br/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a automation rule details

> Get the details of a automation rule in the account



## OpenAPI

````yaml /openapi.json get /api/v1/accounts/{account_id}/automation_rules/{id}
openapi: 3.1.0
info:
  title: ChatClean API
  description: API REST do ChatClean.
  version: 1.1.0
  contact:
    email: contato@chatclean.com.br
servers:
  - url: https://chat.chatclean.com.br
security: []
tags:
  - name: Account AgentBots
    description: Account-specific Agent Bots
  - name: Agents
    description: Agent management APIs
  - name: Campaigns
    description: >-
      Create, schedule, and manage campaigns. Requires an account administrator
      and API access enabled for the account.
  - name: Canned Responses
    description: Pre-defined responses for common queries
  - name: Contacts
    description: Contact management APIs
  - name: Contact Labels
    description: Manage contact labels
  - name: Conversation Assignments
    description: Manage conversation assignments
  - name: Conversation Labels
    description: Manage conversation labels
  - name: Conversations
    description: Conversation management APIs
  - name: Custom Attributes
    description: Custom fields for contacts and conversations
  - name: Custom Filters
    description: Saved filters for conversations
  - name: Inboxes
    description: Communication channels setup
  - name: Integrations
    description: Third-party integrations
  - name: Labels
    description: Account label management APIs
  - name: Messages
    description: Message management APIs
  - name: Profile
    description: User profile APIs
  - name: Reports
    description: Analytics and reporting APIs
  - name: Teams
    description: Team management APIs
  - name: Webhooks
    description: Event notification webhooks
  - name: Automation Rule
    description: Workflow automation rules
  - name: Help Center
    description: Knowledge base management
  - name: Contacts API
    description: Public contact APIs
  - name: Conversations API
    description: Public conversation APIs
  - name: Messages API
    description: Public message APIs
paths:
  /api/v1/accounts/{account_id}/automation_rules/{id}:
    parameters:
      - $ref: '#/components/parameters/account_id'
      - name: id
        in: path
        schema:
          type: number
        description: ID of the Automation Rule
        required: true
    get:
      tags:
        - Automation Rule
      summary: Get a automation rule details
      description: Get the details of a automation rule in the account
      operationId: get-details-of-a-single-automation-rule
      parameters:
        - in: path
          name: id
          schema:
            type: integer
          required: true
          description: The ID of the automation rule to be updated.
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/automation_rule'
              example:
                payload:
                  id: 90
                  account_id: 1
                  name: add-label-bug-if-message-contains-bug
                  description: add-label-bug-if-message-contains-bug
                  event_name: message_created
                  conditions:
                    - values:
                        - incoming
                      attribute_key: message_type
                      query_operator: and
                      filter_operator: equal_to
                    - values:
                        - bug
                      attribute_key: content
                      filter_operator: contains
                  actions:
                    - action_name: add_label
                      action_params:
                        - bugs
                        - support-query
                  created_on: 1650555440
                  active: true
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/bad_request_error'
        '404':
          description: The given rule ID does not exist in the account
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/bad_request_error'
      security:
        - userBearerAuth: []
        - userApiKey: []
components:
  parameters:
    account_id:
      in: path
      name: account_id
      schema:
        type: integer
      required: true
      description: The numeric ID of the account
  schemas:
    automation_rule:
      type: object
      properties:
        payload:
          description: Response payload that contains automation rule(s)
          oneOf:
            - type: array
              description: Array of automation rules (for listing endpoint)
              items:
                $ref: '#/components/schemas/automation_rule_item'
            - type: object
              description: Single automation rule (for show/create/update endpoints)
              allOf:
                - $ref: '#/components/schemas/automation_rule_item'
    bad_request_error:
      title: data
      type: object
      properties:
        description:
          type: string
        errors:
          type: array
          items:
            $ref: '#/components/schemas/request_error'
    automation_rule_item:
      type: object
      properties:
        id:
          type: integer
          description: The ID of the automation rule
        account_id:
          type: integer
          description: Account Id
        name:
          type: string
          description: The name of the rule
          example: Add label on message create event
        description:
          type: string
          description: Description to give more context about the rule
          example: >-
            Add label support and sales on message create event if incoming
            message content contains text help
        event_name:
          type: string
          description: >-
            Automation Rule event, on which we call the
            actions(conversation_created, conversation_updated, message_created)
          enum:
            - conversation_created
            - conversation_updated
            - message_created
          example: message_created
        conditions:
          type: array
          description: Array of conditions on which conversation/message filter would work
          items:
            type: object
            properties:
              values:
                type: array
                items:
                  type: string
              attribute_key:
                type: string
              query_operator:
                type: string
              filter_operator:
                type: string
            example:
              attribute_key: content
              filter_operator: contains
              values:
                - help
              query_operator: and
        actions:
          type: array
          description: Array of actions which we perform when condition matches
          items:
            type: object
            properties:
              action_name:
                type: string
              action_params:
                type: array
                items:
                  type: string
            example:
              action_name: add_label
              action_params:
                - support
                - sales
        created_on:
          type: integer
          description: The timestamp when the rule was created
        active:
          type: boolean
          description: Enable/disable automation rule
    request_error:
      type: object
      properties:
        field:
          type: string
        message:
          type: string
        code:
          type: string
  securitySchemes:
    userBearerAuth:
      type: http
      scheme: bearer
      description: >-
        Authenticate with `Authorization: Bearer <token>` using a user API token
        from **Profile Settings**.
    userApiKey:
      type: apiKey
      in: header
      name: api_access_token
      description: >-
        Find your API token in **Profile Settings**. The `api_access_token`
        header remains supported, but will be deprecated in a future release.
        For new integrations, use Bearer authentication.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.